%
% anyremote configuration file for kdetv management (Server-mode Bemused emulation)
% Prerequisites: Bemused client installed on cell phone
%

% STATUS stable
% XTEST no
% SOUND app
% ENV no

GuiAppName=KdeTV
GuiAppBinary=kdetv
GuiAppRun= A=`dcop 2> /dev/null|grep kdetv`; if [ "x$A" = "x" ]; then echo NOK; else echo OK; fi
GuiAppIcon=kdetv.png
GuiAppType=Application
GuiAppProtocols=Bemused
GuiAppDesc=kdetv is a KDE application to watch TV on the desktop.

[Protocol]=Bemused

(Init)=\
	Include($(CfgDir)/Utils/aliases-bemused.cfg);\
	Macro(BEMUSED_SETUP);
	
(Connect)=\
	Make(mode,kdetv);

[Mode]=kdetv

(EnterMode)=\
	Exec(A=`dcop|grep kdetv`;if [ "x$A" = "x" ]; then kdetv; fi);

EXIT=Exec(D=`dcop|grep kdetv`;dcop $D MainApplication-Interface quit)
FADE=Exec(D=`dcop|grep kdetv`;dcop $D KdetvIface setVolume 0)
FFWD=Exec(D=`dcop|grep kdetv`;dcop $D KdetvIface channelUp)
INF2=Send(string,INF2ACK);Send(bytes,128,0,0,0,128,0,0,0,1,0,0);ExecAndSend(string,D=`dcop|grep kdetv`;dcop $D KdetvIface channelNumber;dcop $D KdetvIface channelName);Send(bytes,0,0)
INFO=Send(string,INFOACK);Send(bytes,128,0,0,0,128,0,0,0,1,0,0);ExecAndSend(string,D=`dcop|grep kdetv`;dcop $D KdetvIface channelNumber;dcop $D KdetvIface channelName)
NEXT=Exec(D=`dcop|grep kdetv`;dcop $D KdetvIface channelUp)
PLAY=Exec(D=`dcop|grep kdetv`;dcop $D KdetvViewIface toggleFullScreen)
PREV=Exec(D=`dcop|grep kdetv`;dcop $D KdetvIface channelDown)
RWND=Exec(D=`dcop|grep kdetv`;dcop $D KdetvIface channelDown)
VOLM($$)=Exec(D=`dcop|grep kdetv`;dcop $D KdetvIface setVolume $(Param));

%PAUS=Exec()
%REPT=Exec()
%SHFL=Exec()
%STOP=Exec()

PLEN=Macro(DEFAULT_PLEN);
PLST=Macro(DEFAULT_PLST);

%SEEK=
%SLCT=

[ModeEnd]
 
[End]
